Set Google attributes for your business
curl --request POST \
--url https://api.partoo.co/v2/business/{business_id}/attributes \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"attributes": [
{
"type": "BOOL",
"gmb_id": "has_curbside_pickup",
"value": false
},
{
"type": "ENUM",
"gmb_id": "wi_fi",
"value": "free_wi_fi"
},
{
"type": "REPEATABLE_ENUM",
"gmb_id": "pay_credit_card_types_accepted",
"value": {
"set_values": [
"american_express",
"discover"
],
"unset_values": []
}
},
{
"type": "URL",
"gmb_id": "url_menu",
"value": "https://www.test.fr"
},
{
"type": "REPEATABLE_URL",
"gmb_id": "url_reservations",
"value": [
"https://www.test1.fr",
"https://www.test2.fr"
]
}
]
}
'import requests
url = "https://api.partoo.co/v2/business/{business_id}/attributes"
payload = { "attributes": [
{
"type": "BOOL",
"gmb_id": "has_curbside_pickup",
"value": False
},
{
"type": "ENUM",
"gmb_id": "wi_fi",
"value": "free_wi_fi"
},
{
"type": "REPEATABLE_ENUM",
"gmb_id": "pay_credit_card_types_accepted",
"value": {
"set_values": ["american_express", "discover"],
"unset_values": []
}
},
{
"type": "URL",
"gmb_id": "url_menu",
"value": "https://www.test.fr"
},
{
"type": "REPEATABLE_URL",
"gmb_id": "url_reservations",
"value": ["https://www.test1.fr", "https://www.test2.fr"]
}
] }
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributes: [
{type: 'BOOL', gmb_id: 'has_curbside_pickup', value: false},
{type: 'ENUM', gmb_id: 'wi_fi', value: 'free_wi_fi'},
{
type: 'REPEATABLE_ENUM',
gmb_id: 'pay_credit_card_types_accepted',
value: {set_values: ['american_express', 'discover'], unset_values: []}
},
{type: 'URL', gmb_id: 'url_menu', value: 'https://www.test.fr'},
{
type: 'REPEATABLE_URL',
gmb_id: 'url_reservations',
value: ['https://www.test1.fr', 'https://www.test2.fr']
}
]
})
};
fetch('https://api.partoo.co/v2/business/{business_id}/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}{
"errors": {
"json": {
"wi_fi": "must be a string",
"has_curbside_pickup": "must be a bool",
"url_reservations": "must be a list",
"url_menu": "must be a valid url",
"pay_credit_card_types_accepted": "must contain set_values and unset_values"
}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Businesses
Set Google attributes for your business
This endpoint allows you to set Google attributes for your business.
POST
/
business
/
{business_id}
/
attributes
Set Google attributes for your business
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Business id.
It may be replaced by c-{code} where code is the store code, which should be unique per organization. This can be used only for ORG_ADMIN, GROUP_MANAGER and BUSINESS_MANAGER users.
Body
application/json
attributes
(Boolean · object | Enum · object | Repeatable Enum · object | URL · object | Repeatable URL · object)[]
List of Business Attributes
A Google Attribute
- Boolean
- Enum
- Repeatable Enum
- URL
- Repeatable URL
Show child attributes
Show child attributes
Example:
[
{
"type": "BOOL",
"gmb_id": "has_curbside_pickup",
"value": false
},
{
"type": "ENUM",
"gmb_id": "wi_fi",
"value": "free_wi_fi"
},
{
"type": "REPEATABLE_ENUM",
"gmb_id": "pay_credit_card_types_accepted",
"value": {
"set_values": ["american_express", "discover"],
"unset_values": []
}
},
{
"type": "URL",
"gmb_id": "url_menu",
"value": "https://www.test.fr"
},
{
"type": "REPEATABLE_URL",
"gmb_id": "url_reservations",
"value": [
"https://www.test1.fr",
"https://www.test2.fr"
]
}
]Response
OK
Request status
Available options:
success Was this page helpful?
⌘I